package com.bocloud.cmp.model;

import java.util.List;

/**
 * 华为私有云数据同步model
 *
 * @author wangyu
 * @version 3.0.0-SNAPSHOT
 * @since 2018/9/25
 */
public class FusionCloudSyncModel {
    private List<RegionModel> regions;
    private List<HostModel> hostModels;
    private List<ServerModel> serverModels;
    private List<NetworkModel> networkModels;
    private List<VolumeModel> volumeModels;
    private List<VolumeTypeModel> volumeTypeModels;
    private List<SnapshotModel> snapshotModels;
    private List<ImageModel> imageModels;
    private List<FlavorModel> flavorModels;
    private List<PortModel> portModels;
    private List<RouterModel> routerModels;
    private List<SecurityGroupModel> groupModels;
    private List<KeypairModel> keypairModels;
    private List<ClusterModel> clusterModels;
    private List<FloatingIpModel> floatingIpModels;
    private List<FirewallModel> firewallModels;
    private List<FirewallPolicyModel> firewallPolicyModels;
    private List<FirewallRuleModel> firewallRuleModels;

    /**
     *
     */
    public FusionCloudSyncModel() {
    }

    /**
     * @param regions
     * @param hostModels
     * @param serverModels
     * @param networkModels
     * @param volumeModels
     * @param snapshotModels
     * @param imageModels
     * @param flavorModels
     * @param portModels
     * @param routerModels
     * @param groupModels
     * @param keypairModels
     * @param clusterModels
     */
    public FusionCloudSyncModel(List<RegionModel> regions, List<HostModel> hostModels, List<ServerModel> serverModels,
                                List<NetworkModel> networkModels, List<VolumeModel> volumeModels, List<SnapshotModel> snapshotModels,
                                List<ImageModel> imageModels, List<FlavorModel> flavorModels, List<PortModel> portModels,
                                List<RouterModel> routerModels, List<SecurityGroupModel> groupModels, List<KeypairModel> keypairModels,
                                List<ClusterModel> clusterModels) {
        this.regions = regions;
        this.hostModels = hostModels;
        this.serverModels = serverModels;
        this.networkModels = networkModels;
        this.volumeModels = volumeModels;
        this.snapshotModels = snapshotModels;
        this.imageModels = imageModels;
        this.flavorModels = flavorModels;
        this.portModels = portModels;
        this.routerModels = routerModels;
        this.groupModels = groupModels;
        this.keypairModels = keypairModels;
        this.clusterModels = clusterModels;
    }

    public List<RegionModel> getRegions() {
        return regions;
    }

    public void setRegions(List<RegionModel> regions) {
        this.regions = regions;
    }

    public List<HostModel> getHostModels() {
        return hostModels;
    }

    public void setHostModels(List<HostModel> hostModels) {
        this.hostModels = hostModels;
    }

    public List<ServerModel> getServerModels() {
        return serverModels;
    }

    public void setServerModels(List<ServerModel> serverModels) {
        this.serverModels = serverModels;
    }

    public List<NetworkModel> getNetworkModels() {
        return networkModels;
    }

    public void setNetworkModels(List<NetworkModel> networkModels) {
        this.networkModels = networkModels;
    }

    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    public List<SnapshotModel> getSnapshotModels() {
        return snapshotModels;
    }

    public void setSnapshotModels(List<SnapshotModel> snapshotModels) {
        this.snapshotModels = snapshotModels;
    }

    public List<ImageModel> getImageModels() {
        return imageModels;
    }

    public void setImageModels(List<ImageModel> imageModels) {
        this.imageModels = imageModels;
    }

    public List<FlavorModel> getFlavorModels() {
        return flavorModels;
    }

    public void setFlavorModels(List<FlavorModel> flavorModels) {
        this.flavorModels = flavorModels;
    }

    public List<PortModel> getPortModels() {
        return portModels;
    }

    public void setPortModels(List<PortModel> portModels) {
        this.portModels = portModels;
    }

    public List<RouterModel> getRouterModels() {
        return routerModels;
    }

    public void setRouterModels(List<RouterModel> routerModels) {
        this.routerModels = routerModels;
    }

    public List<SecurityGroupModel> getGroupModels() {
        return groupModels;
    }

    public void setGroupModels(List<SecurityGroupModel> groupModels) {
        this.groupModels = groupModels;
    }

    public List<KeypairModel> getKeypairModels() {
        return keypairModels;
    }

    public void setKeypairModels(List<KeypairModel> keypairModels) {
        this.keypairModels = keypairModels;
    }

    public List<ClusterModel> getClusterModels() {
        return clusterModels;
    }

    public void setClusterModels(List<ClusterModel> clusterModels) {
        this.clusterModels = clusterModels;
    }

    public List<VolumeTypeModel> getVolumeTypeModels() {
        return volumeTypeModels;
    }

    public void setVolumeTypeModels(List<VolumeTypeModel> volumeTypeModels) {
        this.volumeTypeModels = volumeTypeModels;
    }

    public List<FloatingIpModel> getFloatingIpModels() {
        return floatingIpModels;
    }

    public void setFloatingIpModels(List<FloatingIpModel> floatingIpModels) {
        this.floatingIpModels = floatingIpModels;
    }

    public List<FirewallModel> getFirewallModels() {
        return firewallModels;
    }

    public void setFirewallModels(List<FirewallModel> firewallModels) {
        this.firewallModels = firewallModels;
    }

    public List<FirewallPolicyModel> getFirewallPolicyModels() {
        return firewallPolicyModels;
    }

    public void setFirewallPolicyModels(List<FirewallPolicyModel> firewallPolicyModels) {
        this.firewallPolicyModels = firewallPolicyModels;
    }

    public List<FirewallRuleModel> getFirewallRuleModels() {
        return firewallRuleModels;
    }

    public void setFirewallRuleModels(List<FirewallRuleModel> firewallRuleModels) {
        this.firewallRuleModels = firewallRuleModels;
    }
}
